Page 1 of 2 12 LastLast
Results 1 to 10 of 26

Thread: Assign Double Click action to dimensions

Hybrid View

Previous Post Previous Post   Next Post Next Post
  1. #1
    All AUGI, all the time cadkiller's Avatar
    Join Date
    2003-09
    Location
    Bergenfield, NJ
    Posts
    697
    Login to Give a bone
    0

    Default Assign Double Click action to dimensions

    Group;

    I recently added a double click action for my dimensions. I now can double click my dimensions and the edit text command is enabled.

    1-Go to CUI double click actions and add a new one.
    2-Put dimension in the general name and advanced object name.
    3-Then drag the edit text command from the lower left hand corner to the new double click action.
    Attached Images Attached Images

  2. #2
    Administrator Ed Jobe's Avatar
    Join Date
    2000-11
    Location
    Turlock, CA
    Posts
    6,420
    Login to Give a bone
    0

    Default Re: Assign Double Click action to dimensions

    I have a vba solution if anyone doesn't have cui (pre 2006).
    C:> ED WORKING....


    LinkedIn

  3. #3
    All AUGI, all the time cadkiller's Avatar
    Join Date
    2003-09
    Location
    Bergenfield, NJ
    Posts
    697
    Login to Give a bone
    0

    Default Re: Assign Double Click action to dimensions

    I would like to see it even though I already set mine up.
    I have a friend that is on 2004 that would be interested in your VBA solution.

  4. #4
    Administrator Ed Jobe's Avatar
    Join Date
    2000-11
    Location
    Turlock, CA
    Posts
    6,420
    Login to Give a bone
    0

    Default Re: Assign Double Click action to dimensions

    Add this to a class that is initialized "With Events". Load the class at startup. Set its Doc property to ThisDrawing.

    Code:
    Public WithEvents Doc As AcadDocument
    
    Private Sub Doc_BeginDoubleClick(ByVal PickPoint As Variant)
        'If item being clicked on is a dimention,
        'then open the Mtext editor instead of the properties dialog.
        Dim s1 As AcadSelectionSet
        Dim oEnt As AcadEntity
        
        Set s1 = ThisDrawing.PickfirstSelectionSet
        If s1.Count > 0 Then
            For Each oEnt In s1
                Select Case oEnt.ObjectName
                    Case Is = "AcDbAlignedDimension"
                        ThisDrawing.SendCommand "ddedit "
                    Case Is = "AcDb2LineAngularDimension"
                        ThisDrawing.SendCommand "ddedit "
                    Case Is = "AcDb3PointAngularDimension"
                        ThisDrawing.SendCommand "ddedit "
                    Case Is = "AcDbDiametricDimension"
                        ThisDrawing.SendCommand "ddedit "
                    Case Is = "AcDbOrdinateDimension"
                        ThisDrawing.SendCommand "ddedit "
                    Case Is = "AcDbRadialDimension"
                        ThisDrawing.SendCommand "ddedit "
                    Case Is = "AcDbRotatedDimension"
                        ThisDrawing.SendCommand "ddedit "
                End Select
            Next oEnt
        Else
        
        End If
    End Sub
    C:> ED WORKING....


    LinkedIn

  5. #5
    Active Member jim.dozorec's Avatar
    Join Date
    2001-11
    Location
    Edmonton, Alberta, Canada
    Posts
    62
    Login to Give a bone
    0

    Default Re: Assign Double Click action to dimensions

    Hi, All

    Maybe I'm a little daft, but I can't find out what CUI means. Can someone enlighten me?

    Thanks, Jim

  6. #6
    All AUGI, all the time cadkiller's Avatar
    Join Date
    2003-09
    Location
    Bergenfield, NJ
    Posts
    697
    Login to Give a bone
    0

    Default Re: Assign Double Click action to dimensions

    Customize User Interface

    Type CUI at the command prompt and see if your version has one.

  7. #7
    Retired Forum Staff Rico's Avatar
    Join Date
    2005-06
    Location
    In the hospital cuz of my fever for more cowbell
    Posts
    1,828
    Login to Give a bone
    0

    Default Re: Assign Double Click action to dimensions

    Quote Originally Posted by cadkiller
    Group;

    I recently added a double click action for my dimensions. I now can double click my dimensions and the edit text command is enabled.

    1-Go to CUI double click actions and add a new one.
    2-Put dimension in the general name and advanced object name.
    3-Then drag the edit text command from the lower left hand corner to the new double click action.
    From my understanding of CUI, it's only possible to do this if you are using 2007 ....

    Is there a similar solution if you are using 2006?
    [SIGPIC][/SIGPIC]
    Return of the Cowbell

  8. #8
    Retired Forum Staff Rico's Avatar
    Join Date
    2005-06
    Location
    In the hospital cuz of my fever for more cowbell
    Posts
    1,828
    Login to Give a bone
    0

    Default Re: Assign Double Click action to dimensions

    Quote Originally Posted by dzatto
    Ummmmmmm. update to 2007!!!
    Well ... I DO have 2007. I just wanted to know if there was a 2006 workaround ....
    [SIGPIC][/SIGPIC]
    Return of the Cowbell

  9. #9
    Administrator Ed Jobe's Avatar
    Join Date
    2000-11
    Location
    Turlock, CA
    Posts
    6,420
    Login to Give a bone
    0

    Default Re: Assign Double Click action to dimensions

    Quote Originally Posted by Rico
    Well ... I DO have 2007. I just wanted to know if there was a 2006 workaround ....
    Not through the CUI or menus, but vba. See my post on the first page of this thread.
    C:> ED WORKING....


    LinkedIn

  10. #10
    Retired Forum Staff Rico's Avatar
    Join Date
    2005-06
    Location
    In the hospital cuz of my fever for more cowbell
    Posts
    1,828
    Login to Give a bone
    0

    Default Re: Assign Double Click action to dimensions

    Quote Originally Posted by Ed Jobe
    Not through the CUI or menus, but vba. See my post on the first page of this thread.
    vba is foreign language to me .... never used it before .... not consciously anyway ....

    I'll add it to my 2007 customizations, though. Good tip!
    [SIGPIC][/SIGPIC]
    Return of the Cowbell

Page 1 of 2 12 LastLast

Similar Threads

  1. Double-Click Action Items
    By Wish List System in forum AutoCAD Wish List
    Replies: 0
    Last Post: 2012-05-09, 03:45 PM
  2. Replies: 9
    Last Post: 2011-08-06, 06:53 AM
  3. Double click action on AEC dimension
    By Yancka in forum ACA General
    Replies: 0
    Last Post: 2010-02-02, 01:39 PM
  4. Assign functions to double click
    By lawson in forum NavisWorks - Wish List
    Replies: 1
    Last Post: 2009-10-26, 10:17 AM
  5. Double Click Action
    By SRBalliet in forum AutoCAD Civil 3D - General
    Replies: 6
    Last Post: 2009-03-05, 02:28 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •